Bug 242395 - suspend/resume works 90% of the time, but other times can't unlock xss
suspend/resume works 90% of the time, but other times can't unlock xss
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 20:44 EDT by Paul
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 01:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
laptop smolt profile (10.26 KB, text/plain)
2007-06-03 20:45 EDT, Paul
no flags Details

  None (edit)
Description Paul 2007-06-03 20:44:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20070530 Fedora/2.0.0.4-1.fc7 Firefox/2.0.0.4

Description of problem:
when suspending my laptop to ram, then resuming, it works most of the time. however, other times when it coems back, there's no dialog to enter my passwordto unlock the session.
i can ssh into the machine and do 'gdm-restart', which gets me back to a login - this would be a problem whenever i don't have ssh access though.

i'm using some propriatory modules at the moment, but others made no difference or were worse(1).

1. using ipw3945 instead of iwl3945. iwl3945 seems to give increadibly slow throughput on my network, whereas ipw3945 is fine. 
using iwl3945, i see  lots of "iwl3945: REPLY_ADD_STA failed".
adding iwl3945 to SUSPEND_MODULES hangs the suspend when starting.

2. binary nvidia driver - no difference if using nv.


Version-Release number of selected component (if applicable):
pm-utils-0.99.3-6.fc7

How reproducible:
Sometimes


Steps to Reproduce:
1.sleep
2.wake
3.try to unlock screen

Actual Results:
when the bug pops up, i get an X screen (with usable mouse cursor but no keyboard), and networking (i can ssh into the box)

Expected Results:
i should get a black screen with gnome-screensavers unlock dialog. 

Additional info:
Comment 1 Paul 2007-06-03 20:45:11 EDT
Created attachment 156044 [details]
laptop smolt profile

this is my hardware profile.
Comment 2 Paul 2007-06-04 02:49:32 EDT
Apologies - more testing on this and i'm pretty sure it's not related to fedora,
but beryl.

using the nvidia module and resuming from pm-suspend:
metacity: ok
compiz + gtk-window-decorator: ok
beryl: random

i'll file a bug at beryl, sorry - changing settings so much meant i didn't test
very well.
Comment 3 Nigel Cunningham 2007-06-12 01:50:58 EDT
Closing as NOTABUG, as per previous comment.

Note You need to log in before you can comment on or make changes to this bug.